Subject: [DNSOP] I-D Action: draft-ietf-dnsop-dns-tcp-requirements-14.txt

From: [email-masked]
Date: Tue, 07 Dec 2021 14:30:47 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Domain Name System Operations WG of the IETF.

        Title           : DNS Transport over TCP - Operational Requirements
        Authors         : John Kristoff
                          Duane Wessels
	Filename        : draft-ietf-dnsop-dns-tcp-requirements-14.txt
	Pages           : 34
	Date            : 2021-12-07

Abstract:
   This document updates RFC 1123 and RFC 1536.  This document requires
   the operational practice of permitting DNS messages to be carried
   over TCP on the Internet as a Best Current Practice.  This
   operational requirement is aligned with the implementation
   requirements in RFC 7766.  The use of TCP includes both DNS over
   unencrypted TCP, as well as over an encrypted TLS session.  The
   document also considers the consequences of this form of DNS
   communication and the potential operational issues that can arise
   when this Best Current Practice is not upheld.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-dns-tcp-requirements/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-dns-tcp-requirements-14

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-dns-tcp-requirements-14

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts